%global         pkgname django-notification
%global         obs_ver 0.1.2-7
%global commit 92017044f746d7d0e5d3e404141d078240656df7
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           python-django-notification
Version:        1.2.0
Release:        2%{?dist}
Summary:        User notification management for the Django web framework

Group:          Development/Languages
License:        MIT
URL:            https://github.com/pinax/django-notification/
# to execute checks as well, you need to get the source from github.
Source0:        https://github.com/pinax/%{pkgname}/archive/%{commit}/%{pkgname}-%{commit}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-django-nose
BuildRequires:  python-django
Requires:       python-django

Provides:       %{pkgname} = %{version}-%{release}
# latest release for django-notification is 0.1.2-6
Obsoletes:      %{pkgname} < %{obs_ver}

%description
Many sites need to notify users when certain events have occurred and to
allow configurable options as to how those notifications are to be received.

The project aims to provide a Django app for this sort of functionality.
This includes:

    * submission of notification messages by other apps
    * notification messages on signing in
    * notification messages via email (configurable by user)
    * notification messages via feed

%prep
%setup -q -n %{pkgname}-%{commit}
# remove bundled egg-info
rm -rf django_notification.egg-info

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

#%check
#%{__python} runtests.py

%files
%doc AUTHORS LICENSE README.rst docs/*
%{python_sitelib}/notification
%{python_sitelib}/django_notification-%{version}-py?.?.egg-info

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Nov 17 2014 Matthias Runge <mrunge@redhat.com> - 1.2.0-1
- update to 1.2.0

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Mar 26 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.2-2
- obsolete old package

* Sat Mar 24 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.2-1
- package renamed to python-django-notification
- update to version 0.2

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Mar 02 2009 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 0.1.2-2
- Add Requires: Django

* Wed Feb 18 2009 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 0.1.2-1
- Initial RPM release
